! This program is an example of wrong recurrence.
! This recurrence does not terminate for ever.
! But, in reality, this program shall stop with an error displayed,
! because the system stack memory shall be exhauseted.
! As the system stack memory size expands according to execution,
! execution of this program may cause the hard drive to be revolved,
! before it stops.
FUNCTION f(x)
   LET f=x*f(x)
END FUNCTION
PRINT f(10)
END  
 
